@import "../variables";

.shows-search {
  .results {

    .show-result {
      margin: .5rem 0;
      padding: .3rem 0;
      height: 100px;
      overflow: hidden;
      width: 100%;
      font-size: 12px;

      display: grid;
      grid-template-columns: 70px 1fr 50px;

      .poster {
        img {
          height: 90px;
        }
      }

      .info {
        overflow: hidden;
        margin-bottom: .3rem;
        .overview {
          font-size: 10px;
        }
      }

      a.add {
        align-self: center;
      }
    }
  }
}


.shows {
  .show {
    margin: .5rem 0;
    padding: .3rem;
    height: 200px;
    overflow: hidden;
    width: 100%;
    font-size: 16px;

    display: grid;
    grid-template-columns: 140px 1fr;

    .poster {
      img {
        height: 190px;
      }
    }

    .info {
      overflow: hidden;
      margin-bottom: .3rem;
      .overview {
        font-size: 14px;
      }
    }
  }
}


.show-edit {
  margin: 0 .3rem;
  padding: .75rem 0;

  .info {
    padding: .5rem 0;
    text-align: center;
    img.banner{
      width: 100%;
      @media screen and (min-width:768px) {
        max-width: 50vw;;
      }

    }
    .overview {
      text-align: left;
      font-size: 12px;
      margin: 0;
      padding-top: .3rem;
    }
  }

  .show.card {

    @media screen and (min-width:768px) {
      display: flex;
    }

    margin: .5rem 0;
    .still {
      flex-grow: 0;
      flex-basis: 33%;
      align-self: center;
      img {
        width: 100%;
        vertical-align: bottom;
      }
    }
    .info {
      text-align: left;
      padding: 0.25rem;
      flex-grow: 0;
      flex-basis: 66%;
    }

  }

  .buttons {
    margin-top: 2rem;
    text-align: center;
  }
}